Polling

- « parallel\Events::remove

- parallel\Events\Input »

- PHP Manual
- parallel\Events
- Polling

# parallel\Events::poll

(0.9.0)

parallel\Events::poll — Polling

### Description

public parallel\Events::poll(): ?parallel\Events\Event

Shall poll for the next event

### Return Values

Should there be no targets remaining, `null` shall be returned

Should this be a non-blocking loop, and blocking would occur, `null` shall be returned

Otherwise, the parallel\Events\Event returned describes the event.

### Exceptions

Warning

Shall throw parallel\Events\Error\Timeout if timeout is used and reached.